package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.Symbol;

public class ASDeclarationVariable extends ASDeclaration {

    public ASDeclarationVariable(int p, Symbol name, ASExpression init) {
	super(p); m_name = name; m_initexp = init;

	m_classname = "ASDeclarationVariable";
    }

    public Symbol getVariableName() {
	return m_name;
    }

    public ASExpression getInitExpression() {
	return m_initexp;
    }

    public void setInitExpression(ASExpression init) {
	m_initexp = init;
    }

    public String toString() {
	return m_name.toString();
    }

    protected Symbol m_name;
    private ASExpression m_initexp;
}